* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    height: 100%;
    -ms-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
}

body {
    font: normal 14px/1.6 "Oxygen", sans-serif;
    background: #ffffff;
    color: #404040;
    word-spacing: 0.0125em;
    display: -webkit-flex;
    display: flex;
    min-height: 100vh;
    -webkit-flex-direction: column;
    flex-direction: column;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -moz-font-feature-settings: "liga", "kern";
    text-rendering: optimizelegibility;
}

article,
aside,
footer,
header,
nav,
section,
main {
    display: block;
}

audio,
canvas,
video {
    display: inline-block;
}

main {
    -webkit-flex: 1 1 auto;
    flex: 1 1 auto;
}

img {
    border: 0;
    vertical-align: middle;
}

a {
    color: #88bbc8;
    text-decoration: none;
}

a:hover,
a:focus {
    color: #f26535;
    text-decoration: none;
    cursor: pointer;
}

b,
strong {
    font-weight: bold;
}

label {
    cursor: pointer;
}

textarea {
    resize: vertical;
    overflow: auto;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 300;
    color: #404040;
}

h1 a,
h1 a:hover,
h2 a,
h2 a:hover,
h3 a,
h3 a:hover,
h4 a,
h4 a:hover,
h5 a,
h5 a:hover,
h6 a,
h6 a:hover {
    color: #404040;
}

h1 {
    margin-bottom: 6px;
    font-size: 30px;
    line-height: 36px;
}

h2 {
    font-size: 24px;
    line-height: 36px;
}

h3 {
    font-size: 18px;
    line-height: 36px;
}

h4 {
    font-size: 16px;
    line-height: 36px;
}

ul {
    list-style: inside disc;
}

hr {
    margin: 2em 0;
    border: 0;
    border-bottom: 1px solid rgba(0, 0, 0, 0.05);
}

pre {
    font: normal 1em/1.5 Monaco, Andale Mono, monospace;
    background-color: rgba(0, 0, 0, 0.025);
    display: block;
    padding: 4px 10px;
    margin: 8px 0;
    border: 1px solid #cccccc;
    white-space: pre-wrap;
    word-wrap: break-word;
    border-radius: 1px;
}

code {
    font: normal 1em/1.5 Monaco, Andale Mono, monospace;
    white-space: pre-wrap;
    word-wrap: break-word;
    background-color: rgba(0, 0, 0, 0.04);
    padding: 1px 4px;
    border-radius: 1px;
}

iframe {
    border: 0;
}

input,
textarea {
    display: inline-block;
    padding: 4px;
    font-size: 13px;
    line-height: 18px;
    color: #808080;
    border: 1px solid #cccccc;
    border-radius: 3px;
    transition: all linear 0.2s;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);
}

input:focus,
textarea:focus {
    border-color: rgba(82, 168, 236, 0.8);
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1), 0 0 8px rgba(82, 168, 236, 0.6);
    outline: none;
}

input:-moz-placeholder {
    color: #bfbfbf;
}

input::-webkit-input-placeholder {
    color: #bfbfbf;
}

button::-moz-focus-inner,
input::-moz-focus-inner {
    padding: 0;
    border: 0;
}

header {
    padding: 20px 0;
}

header .wrapper {
    display: -webkit-flex;
    display: flex;
    -webkit-flex-flow: row nowrap;
    flex-flow: row nowrap;
    -webkit-justify-content: space-between;
    justify-content: space-between;
    -webkit-align-items: center;
    align-items: center;
    -webkit-align-content: center;
    align-content: center;
}

header h1 {
    -webkit-flex: 0 1 auto;
    flex: 0 1 auto;
    margin: 0;
    position: relative;
    z-index: 2;
}

header h1 .logo {
    color: #545454;
    font: 900 28px "Arimo", sans-serif;
    letter-spacing: -1.2px;
    white-space: nowrap;
    display: inline-block;
    text-shadow: 0 1px 0 rgba(50, 50, 50, 0.1);
    transition: opacity 0.15s;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

header h1 .logo:hover {
    opacity: 0.75;
}

header h1 .logo:focus {
    color: #545454;
}

header h1 .logo > span {
    background: #329bb9;
    border: 1px solid #3094b0;
    color: #ffffff;
    width: 102px;
    height: 50px;
    line-height: 50px;
    letter-spacing: -2px;
    display: inline-block;
    text-align: center;
    margin-right: 4px;
    position: relative;
    text-shadow: 0 1px 0 rgba(50, 50, 50, 0.175);
}

header h1 .logo > span:after {
    content: "";
    position: absolute;
    top: -1px;
    right: -1px;
    border-top: 10px solid #ffffff;
    border-left: 10px solid #88bdca;
    width: 0;
}

header h1 .logo > span > span:before,
header h1 .logo > span > span:after {
    font-size: 32px;
    font-family: Helvetica, sans-serif;
    content: "{";
    position: relative;
    bottom: 1px;
    opacity: 0.9;
}

header h1 .logo > span > span:after {
    content: "}";
    left: 2px;
}

header h1 .logo .dash {
    position: absolute;
    overflow: hidden;
    clip: rect(0 0 0 0);
    height: 1px;
    width: 1px;
    margin: -1px;
    padding: 0;
    border: 0;
}

header nav {
    -webkit-flex: 0 1 auto;
    flex: 0 1 auto;
    text-align: right;
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 600;
    margin-top: 2px;
    letter-spacing: -0.4px;
}

header nav li {
    list-style-type: none;
    display: inline-block;
}

header nav li:after {
    content: "/";
    color: #dddddd;
}

header nav li:last-child:after {
    content: "";
}

header nav li:last-child a {
    content: "";
    margin-right: 0;
}

header nav li a {
    font: inherit;
    margin: 0 11px;
    transition: color 0.15s;
}

footer {
    border-top: 1px solid #eeeeee;
    margin-top: 34px;
    padding: 20px 0 24px 0;
    font-size: 12px;
    background: #f0f0f0;
    color: #333333;
}

footer .wrapper {
    display: -webkit-flex;
    display: flex;
    -webkit-flex-flow: row nowrap;
    flex-flow: row nowrap;
    -webkit-justify-content: space-between;
    justify-content: space-between;
    -webkit-align-items: center;
    align-items: center;
    -webkit-align-content: center;
    align-content: center;
}

footer .column-copyright,
footer .column-social-networks {
    -webkit-flex: 0 1 auto;
    flex: 0 1 auto;
}

footer .column-copyright a {
    color: #333333;
}

footer .column-copyright a:hover {
    color: #777777;
}

footer .column-social-networks {
    max-width: 300px;
    max-height: 20px;
    min-height: 20px;
    overflow-y: hidden;
}

footer .column-social-networks img {
    cursor: pointer;
    opacity: 0.6;
    width: 61px;
    height: 20px;
    margin-top: -1px;
}

footer .column-social-networks img:hover {
    opacity: 1;
}

footer .column-social-networks .twitter-share-button {
    height: 20px !important;
    width: 66px !important;
}

.wrapper {
    width: 960px;
    margin: 0 auto;
}

.panel-content header {
    height: 120px;
    background: #f7f7f7;
    padding: 0;
}

.panel-content header:after {
    content: attr(data-css-level);
    position: absolute;
    font-style: italic;
    right: 0;
    max-width: 380px;
    overflow: hidden;
    font-weight: bold;
    margin-top: -160px;
    font-size: 160px;
    line-height: 160px;
    color: rgba(255, 255, 255, 0.6);
    cursor: default;
    pointer-events: none;
}

.panel-content header h1 {
    font-size: 24px;
    color: #555;
    line-height: 120px;
    white-space: nowrap;
    -webkit-flex: none;
    flex: none;
    text-shadow: 1px 0 0 rgba(100, 100, 100, 0.1);
}

.panel-content h2 {
    margin-top: 20px;
}

.panel-content hr {
    margin: 80px 0 -38px 0;
}

.panel-content hr + h2 {
    display: inline-block;
    padding-right: 10px;
    background: #ffffff;
}

.panel-content .wrapper {
    display: block;
}

.panel-content .deprecated {
    text-decoration: line-through;
}

.panel-content .css-selectors {
    -webkit-column-gap: 2em;
    -moz-column-gap: 2em;
    column-gap: 2em;
    -webkit-column-count: 2;
    -moz-column-count: 2;
    column-count: 2;
}

.panel-content .css-selector {
    display: -webkit-flex;
    display: flex;
    -webkit-flex-flow: row nowrap;
    flex-flow: row nowrap;
    -webkit-justify-content: space-between;
    justify-content: space-between;
    -webkit-align-items: flex-start;
    align-items: flex-start;
    -webkit-align-content: space-between;
    align-content: space-between;
    margin-bottom: 6px;
}

.panel-content .css-selector a {
    -webkit-flex: 0 0 49%;
    flex: 0 0 49%;
}

.panel-content .css-selector code {
    -webkit-flex: 0 1 50%;
    flex: 0 1 50%;
}

.panel-content .css-selector-page {
    padding: 20px 0 0 0;
    font-size: 15px;
}

.panel-content .css-selector-page h2 {
    font-weight: 400;
    font-size: 20px;
}

.panel-content .css-selector-page code.css {
    display: block;
    background: #f7f7f7;
    padding: 5px 8px;
    margin: 0 0 8px 0;
    border: 1px solid #cccccc;
    white-space: initial;
    word-wrap: break-word;
    border-radius: 3px;
}

.panel-content .status-page,
.panel-content .imprint-page,
.panel-content .privacy-page,
.panel-content .browser-test-page {
    padding: 20px 0 0 0;
}

.panel-content .browser-test-page h2 {
    margin-top: 18px;
}

.panel-content .start-browser-test-button {
    font-size: 14px;
    font-weight: bold;
    margin: 50px auto 60px auto;
    padding: 9px 60px 10px 60px;
    display: block;
}

.panel-content .browser-test-diagram svg {
    margin: 20px auto 10px auto;
    display: block;
}

.panel-content .browser-test-share-twitter {
    text-align: right;
    margin: 0 0 -32px 0;
    display: none;
}

.panel-content .browser-test-share-twitter svg {
    margin: 0 3px -3px 0;
}

.panel-content .adsbygoogle {
    display: block;
    margin: 40px auto;
}

.panel-content .components-used {
    margin-top: 2em;
}

.panel-content .modal-open {
    margin-top: 8px;
    display: block;
    text-align: center;
}

.panel-content .sub-selector {
    margin: 80px 0 -40px 0;
}

.panel-content .sub-selector:first-of-type {
    margin-top: 40px;
}

.panel-content .browser-support-caniuse-link {
    margin: 2px 0 0 1px;
    font-size: 13px;
}

.panel-content .comments {
    margin: 20px 0 12px 0;
}

.panel-content .source {
    font-size: 11px;
    display: block;
    text-align: right;
    margin: 50px 0 -10px 0;
}

.panel-content .clipboard {
    text-align: right;
    display: block;
    font-size: 12px;
    padding: 5px 0 0 0;
    margin-bottom: -20px;
    height: 20px;
    position: relative;
    z-index: 1;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.panel-content .clipboard span {
    padding: 4px 8px;
    margin-right: 3px;
    cursor: pointer;
    border-radius: 3px;
}

.panel-content .clipboard span:hover {
    background: #0064cd;
    color: #ffffff;
}

.panel-content .modal {
    display: none;
}

.panel-home-introduction {
    height: 300px;
    background: #329bb9;
    color: #ffffff;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-flow: column nowrap;
    flex-flow: column nowrap;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-align-items: center;
    align-items: center;
    -webkit-align-content: center;
    align-content: center;
}

.panel-home-introduction:not(:has(+ .panel-twitter-updates)) {
    margin-bottom: -34px;
}

.panel-home-introduction .wrapper {
    -webkit-flex: 0 1 auto;
    flex: 0 1 auto;
}

.panel-home-introduction h1 {
    color: #ffffff;
    margin-bottom: 7px;
}

.panel-home-introduction p {
    text-align: justify;
}

.panel-home-introduction a {
    color: inherit;
    margin-top: 14px;
}

.pagination-relative {
    margin-top: 68px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 1fr;
}

.pagination-relative .middle-selector {
    text-align: center;
}

.pagination-relative .middle-selector svg {
    vertical-align: middle;
    margin-top: -2px;
    fill: #88bbc8;
}

.pagination-relative .middle-selector a:hover svg {
    fill: #f26535;
}

.pagination-relative .next-selector {
    text-align: right;
}

.table {
    display: -webkit-box;
    display: flex;
    margin: 0;
    padding: 0;
}

.table.platform {
    font-weight: bold;
    background: #f7f7f7;
    vertical-align: middle;
}

.table-cell {
    -webkit-box-flex: 1;
    flex-grow: 1;
    width: 100%;
    padding: 0.7em 1em;
    overflow: hidden;
    border: 1px solid #cccccc;
    border-bottom-width: 0;
}

.table-cell:nth-child(even) {
    border-right-width: 0;
    border-left-width: 0;
}

.table-cell:nth-child(-n+1) {
    font-weight: bold;
    background: #f7f7f7;
}

.table-cell.supported {
    background: #c3e6c8; /* rgb(232, 252, 233) */
}

.table-cell.not-supported {
    background: #fab9b4; /* rgb(254, 244, 245) */
}

.table-cell.top-left {
    border-radius: 3px 0 0 0;
}

.table-cell.top-right {
    border-radius: 0 3px 0 0;
}

.table-cell.bottom-left {
    border-radius: 0 0 0 3px;
}

.table-cell.bottom-right {
    border-radius: 0 0 3px 0;
}

.table-cell svg {
    vertical-align: middle;
    margin-right: 1px;
}

.table.last-table .table-cell {
    border-bottom-width: 1px;
}

.button {
    cursor: pointer;
    display: inline-block;
    background: #e6e6e6;
    padding: 5px 14px 6px 14px;
    color: #ffffff;
    border: 1px solid #cccccc;
    border-bottom-color: #bbbbbb;
    border-radius: 4px;
    text-decoration: none;
    transition: 0.1s linear all;
    text-shadow: 0 1px 1px rgba(255, 255, 255, 0.75);
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
}

.button:focus {
    outline: 1px dotted #666666;
}

.button:hover,
.button:focus {
    color: #ffffff;
}

.button.primary {
    color: #ffffff;
    background: #0064cd;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
}

.button.primary:hover {
    background: #0059b8;
}

.button.success {
    background: #6bb72a;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
}

.button.success:hover {
    background: #64ab28;
}

.button.info {
    color: #ffffff;
    background: #329bb9;
    text-shadow: 0 1px 0 rgba(0, 0, 0, 0.4);
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
}

.button.danger,
.button.error {
    background: #c43c35;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
}

.button.active,
.button:active {
    box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.25), 0 1px 2px rgba(0, 0, 0, 0.05);
}

.message-error {
    padding: 6px 12px;
    margin: 11px 0;
    font-weight: bold;
    font-size: 13px;
    color: #ffffff;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    background: #c43c35;
    border: 1px solid #c43c35;
    border-radius: 4px;
    box-shadow: 0 1px 0 rgba(255, 255, 255, 0.25) inset;
}

.message-success {
    padding: 6px 12px;
    margin: 10px 0;
    font-weight: bold;
    font-size: 13px;
    color: #ffffff;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    background: #57a957;
    border: 1px solid #57a957;
    border-radius: 4px;
    box-shadow: 0 1px 0 rgba(255, 255, 255, 0.25) inset;
}

.message-error a,
.message-error a:hover,
.message-success a,
.message-success a:hover {
    color: #ffffff;
    text-decoration: none;
}

.message-error.error-404 {
    margin: 20px 0 -10px 0;
}

.message-info {
    color: #404040;
    background: #e6ecf0;
    border: 1px solid #d0dae2;
    border-left-width: 5px;
    font-size: 13px;
    padding: 6px 12px;
    margin: 11px 0;
    display: block;
    text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
    border-radius: 3px;
    box-shadow: 0 1px 0 rgba(255, 255, 255, 0.25) inset;
}

.message-info.deprecated {
    margin: 0 0 16px 0;
    text-decoration: none;
}

.message-info a,
.message-info a:hover {
    color: #404040;
    text-decoration: none;
}

.anchor-link,
.anchor-link:hover {
    color: #88bbc8;
}

.ct-chart .ct-label.ct-horizontal.ct-end {
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    text-align: center;
    text-anchor: end;
    white-space: nowrap;
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    transform: translateX(-50%);
}

.ct-chart .ct-series-a .ct-point,
.ct-chart .ct-series-a .ct-line {
    stroke: #88bbc8;
}

.ct-chart .ct-series-a .ct-area {
    fill: #88bbc8;
}

.statistics-stopped {
    background: #f3f8f9;
    color: #404040;
    border-radius: 3px;
    padding: 6px 12px;
    margin-top: 18px;
    font-size: 0.85em;
}

.statistics-stopped svg {
    vertical-align: middle;
    margin-top: -3px;
    margin-right: 5px;
}

.antialiased {
    -webkit-font-smoothing: subpixel-antialiased;
    -moz-osx-font-smoothing: initial;
    -moz-font-feature-settings: initial;
    text-rendering: optimizeLegibility;
}

.privacy-opt-out {
    margin: 6px 0;
}

.privacy-opt-out input[type="checkbox"] {
    margin-right: 0.4em;
}

.way-round {
    direction: rtl;
    display: block;
    text-align: left;
    unicode-bidi: bidi-override;
}

.cookie-consent {
    position: fixed;
    right: 15px;
    bottom: 15px;
    padding: 1.2em 1.6em;
    min-width: 280px;
    max-width: 33%;
    font-size: 0.94em;
    line-height: 1.4em;
    background: #ebebeb;
    color: #333333;
    border: 1px solid #dddddd;
    z-index: 9999;
}

.js-cookie-consent-agree {
    background: #0064cd;
    color: #ffffff;
    display: block;
    padding: 1em;
    border: 0;
    font-size: 12px;
    font-weight: 700;
    cursor: pointer;
    margin-top: 1em;
    width: 100%;
    transition: all 0.1s ease-out;
}

.js-cookie-consent-agree:hover {
    background: #0059b8;
}

.hidden {
    display: none;
}

.invisible {
    visibility: hidden;
}

::-moz-selection {
    background-color: #0068ae;
    color: #ffffff;
}

::selection {
    background-color: #0068ae;
    color: #ffffff;
}

@keyframes iframeLoader {
    0% {
        width: 10px;
        height: 10px;
        opacity: 0.9;
        transform: translateY(0);
    }
    100% {
        width: 24px;
        height: 24px;
        opacity: 0.1;
        transform: translateY(-21px);
    }
}

@media only screen and (max-width: 980px) {
    .wrapper {
        width: 100%;
        padding: 0 30px;
    }

    .panel-content .css-selector-page {
        padding-left: 30px;
        padding-right: 30px;
    }

    .panel-content .status-page,
    .panel-content .imprint-page,
    .panel-content .privacy-page,
    .panel-content .browser-test-page {
        padding-left: 30px;
        padding-right: 30px;
    }

    .table-cell svg {
        display: block;
        margin-bottom: 2px;
    }
}

@media only screen and (max-width: 800px) {
    footer .wrapper {
        -webkit-flex-direction: column;
        flex-direction: column;
    }

    footer .column-copyright {
        margin-bottom: 6px;
    }
}

@media only screen and (max-width: 768px) {
    header .wrapper {
        -webkit-flex-direction: column;
        flex-direction: column;
    }

    header nav {
        margin: 6px 0 -6px 0;
        text-align: center;
        width: 100%;
    }

    header nav li {
        display: block;
    }

    header nav li:after {
        content: "";
    }

    header nav li:last-child a {
        margin-right: 11px;
    }

    header nav li a {
        display: block;
        padding: 0.5em 0;
    }

    .panel-content header h1 {
        font-size: 20px;
    }

    .panel-content h2 {
        font-size: 18px;
    }

    .panel-content .css-selectors {
        -webkit-column-gap: 0;
        -moz-column-gap: 0;
        column-gap: 0;
        -webkit-column-count: 1;
        -moz-column-count: 1;
        column-count: 1;
    }
}


@media only screen and (max-width: 640px) {
    .panel-home-introduction {
        line-height: 1.25;
        font-size: 12px;
    }

    .panel-home-introduction h1 {
        line-height: 1.1;
        font-size: 24px;
    }

    .panel-content .css-selector {
        margin-bottom: 12px;
    }

    .panel-content header h1 {
        white-space: initial;
        line-height: 30px;
        top: 30px;
    }

    .panel-content header:after {
        margin-top: -70px;
    }

    .panel-content .browser-test-share-twitter {
        text-align: left;
        margin: 10px 0;
    }

    .table-cell {
        padding: 0.7em 0.5em;
    }

    .panel-content .clipboard span {
        background: #ffffff;
    }

    .table {
        -webkit-flex-direction: column;
        flex-direction: column;
        display: -webkit-inline-flex;
        display: inline-flex;
        width: 35%;
        vertical-align: top;
        margin-right: -4px;
    }

    .table.platform {
        width: 30%;
    }

    .table.desktop.last-table {
        width: 70%;
    }

    .table.platform .table-cell {
        border-right-width: 0;
    }

    .table.mobile .table-cell,
    .table.desktop .table-cell {
        padding: 0.7em 0.8em;
    }

    .table.last-table .table-cell {
        border-bottom-width: 0;
    }

    .table.mobile.last-table .table-cell {
        border-left-width: 0;
    }

    .table-cell {
        height: 90px;
    }

    .table-cell:nth-child(even) {
        border-right-width: 1px;
        border-left-width: 1px;
    }

    .table-cell.top-right {
        border-bottom-width: 1px;
    }

    .table .table-cell:first-child {
        height: initial;
    }
}
